# Enum VpnStatus

java.lang.Object
java.lang.Enum<VpnStatus>
com.codename1.vpn.VpnStatus

All Implemented Interfaces:
  `Comparable<VpnStatus>`

public enum VpnStatus extends Enum<VpnStatus>
Where a VPN connection is in its life. The ordinals cross the SPI boundary, so existing constants must not be reordered.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONNECTED`
  Up and carrying traffic.
  `CONNECTING`
  Negotiating.
  `DISCONNECTED`
  Configured, but not connected.
  `DISCONNECTING`
  Tearing down.
  `NOT_CONFIGURED`
  No configuration is installed, so there is nothing to connect.
  `UNKNOWN`
  The platform did not say.
  `WAITING`
  Configured and waiting for a rule to bring it up -- an on-demand profile that has not been triggered yet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VpnStatus`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static VpnStatus[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_CONFIGURED

    public static final VpnStatus NOT_CONFIGURED
    No configuration is installed, so there is nothing to connect.

  - ### DISCONNECTED

    public static final VpnStatus DISCONNECTED
    Configured, but not connected.

  - ### CONNECTING

    public static final VpnStatus CONNECTING
    Negotiating.

  - ### CONNECTED

    public static final VpnStatus CONNECTED
    Up and carrying traffic.

  - ### DISCONNECTING

    public static final VpnStatus DISCONNECTING
    Tearing down.

  - ### WAITING

    public static final VpnStatus WAITING
    Configured and waiting for a rule to bring it up -- an on-demand profile that has not been triggered yet.

  - ### UNKNOWN

    public static final VpnStatus UNKNOWN
    The platform did not say.

- ## Method Details

  - ### values

    public static VpnStatus[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static VpnStatus valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null